com.amazonaws.services.cloudfront.model

## Class UpdateDistributionRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.cloudfront.model.UpdateDistributionRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class UpdateDistributionRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The request to update a distribution.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`UpdateDistributionRequest()` Default constructor for UpdateDistributionRequest object.
`UpdateDistributionRequest(DistributionConfig distributionConfig, String id, String ifMatch)` Constructs a new UpdateDistributionRequest object.

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateDistributionRequest` `clone()`
`boolean` `equals(Object obj)`
`DistributionConfig` `getDistributionConfig()` The distribution's configuration information.
`String` `getId()` The distribution's id.
`String` `getIfMatch()` The value of the `ETag` header that you received when retrieving the distribution's configuration.
`int` `hashCode()`
`void` `setDistributionConfig(DistributionConfig distributionConfig)` The distribution's configuration information.
`void` `setId(String id)` The distribution's id.
`void` `setIfMatch(String ifMatch)` The value of the `ETag` header that you received when retrieving the distribution's configuration.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateDistributionRequest` `withDistributionConfig(DistributionConfig distributionConfig)` The distribution's configuration information.
`UpdateDistributionRequest` `withId(String id)` The distribution's id.
`UpdateDistributionRequest` `withIfMatch(String ifMatch)` The value of the `ETag` header that you received when retrieving the distribution's configuration.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateDistributionRequest

    public UpdateDistributionRequest()

Default constructor for UpdateDistributionRequest object. Callers should use the setter or fluent setter (with...) methods to initialize the object after creating it.

#### UpdateDistributionRequest

    public UpdateDistributionRequest(DistributionConfig distributionConfig,
                                     String id,
                                     String ifMatch)

Constructs a new UpdateDistributionRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Parameters:
  `distributionConfig` - The distribution's configuration information.
  `id` - The distribution's id.
  `ifMatch` - The value of the `ETag` header that you received when retrieving the distribution's configuration. For example: `E2QWRUHAPOMQZL`.

### Method Detail

#### setDistributionConfig

    public void setDistributionConfig(DistributionConfig distributionConfig)

The distribution's configuration information.

Parameters:
  `distributionConfig` - The distribution's configuration information.

#### getDistributionConfig

    public DistributionConfig getDistributionConfig()

The distribution's configuration information.

Returns:
  The distribution's configuration information.

#### withDistributionConfig

    public UpdateDistributionRequest withDistributionConfig(DistributionConfig distributionConfig)

The distribution's configuration information.

Parameters:
  `distributionConfig` - The distribution's configuration information.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setId

    public void setId(String id)

The distribution's id.

Parameters:
  `id` - The distribution's id.

#### getId

    public String getId()

The distribution's id.

Returns:
  The distribution's id.

#### withId

    public UpdateDistributionRequest withId(String id)

The distribution's id.

Parameters:
  `id` - The distribution's id.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setIfMatch

    public void setIfMatch(String ifMatch)

The value of the `ETag` header that you received when retrieving the distribution's configuration. For example: `E2QWRUHAPOMQZL`.

Parameters:
  `ifMatch` - The value of the `ETag` header that you received when retrieving the distribution's configuration. For example: `E2QWRUHAPOMQZL`.

#### getIfMatch

    public String getIfMatch()

The value of the `ETag` header that you received when retrieving the distribution's configuration. For example: `E2QWRUHAPOMQZL`.

Returns:
  The value of the `ETag` header that you received when retrieving the distribution's configuration. For example: `E2QWRUHAPOMQZL`.

#### withIfMatch

    public UpdateDistributionRequest withIfMatch(String ifMatch)

The value of the `ETag` header that you received when retrieving the distribution's configuration. For example: `E2QWRUHAPOMQZL`.

Parameters:
  `ifMatch` - The value of the `ETag` header that you received when retrieving the distribution's configuration. For example: `E2QWRUHAPOMQZL`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateDistributionRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`